package net.cephas.blog;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;

/**
 * @author JOHNSONAA
 *
 */
public class DeliciousPosterConfig {

	private String mtusername;
	private String mtpassword;
	private String mturl;
	private String mtblogid;
	private String deusername;
	private String depassword;
		
	private DeliciousPosterConfig() { }
	
	public static DeliciousPosterConfig parseProperties(String properties) throws IOException {
		Properties props = new Properties();
		props.load(new FileInputStream(properties));
		DeliciousPosterConfig config = new DeliciousPosterConfig();
		config.setDeusername(props.getProperty("deusername"));
		config.setDepassword(props.getProperty("depassword"));
		config.setMtusername(props.getProperty("mtusername"));
		config.setMtpassword(props.getProperty("mtpassword"));
		config.setMturl(props.getProperty("mturl"));
		config.setMtblogid(props.getProperty("mtblogid"));
		return config;
	}
	
	

	public String getDepassword() {
		return depassword;
	}
	public void setDepassword(String depassword) {
		this.depassword = depassword;
	}
	public String getDeusername() {
		return deusername;
	}
	public void setDeusername(String deusername) {
		this.deusername = deusername;
	}
	public String getMtpassword() {
		return mtpassword;
	}
	public void setMtpassword(String mtpassword) {
		this.mtpassword = mtpassword;
	}
	public String getMturl() {
		return mturl;
	}
	public void setMturl(String mturl) {
		this.mturl = mturl;
	}
	public String getMtusername() {
		return mtusername;
	}
	public void setMtusername(String mtusername) {
		this.mtusername = mtusername;
	}
	public String getMtblogid() {
		return mtblogid;
	}
	public void setMtblogid(String mtblogid) {
		this.mtblogid = mtblogid;
	}
}
